## Super-Mario-War-master.zip

=== Makefile ===
all : smw leveledit worldedit


COMMON_OBJS:=build/FileIO.o build/FileList.o build/MapList.o \
           build/SFont.o build/TilesetManager.o build/dirlist.o \
           build/eyecandy.o build/gfx.o build/global.o build/input.o \
           build/map.o build/movingplatform.o build/path.o \
           build/savepng.o build/sfx.o
SMW_OBJS:= build/HashTable.o build/ai.o build/gamemodes.o build/main.o \
           build/menu.o build/modeoptionsmenu.o build/object.o \
           build/objectgame.o build/objecthazard.o build/player.o \
           build/splash.o build/uicontrol.o build/uicustomcontrol.o \
           build/uimenu.o build/world.o
LEVELEDIT_OBJS:=build/leveleditor.o
WORLDEDIT_OBJS:=build/modeoptionsmenu.o build/object.o \
                build/objecthazard.o build/uicontrol.o build/uimenu.o \
                build/world.o build/worldeditor.o

include configuration
#here because of one .c file among a .cpp project (o_O)

build/%.o : _src/%.cpp
	$(CXX) $(CFLAGS) -o $@ -c $<

smw : $(COMMON_OBJS) $(SMW_OBJS)
	$(CXX) $(CFLAGS) $^ $(LDFLAGS) -o $@

leveledit : $(COMMON_OBJS) $(LEVELEDIT_OBJS)
	$(CXX) $(CFLAGS) $^ $(LDFLAGS) -o $@

worldedit : $(COMMON_OBJS) $(WORLDEDIT_OBJS)
	$(CXX) $(CFLAGS) $^ $(LDFLAGS) -o $@

build/SFont.o : _src/SFont.c
	$(CC) $(CFLAGS) -o $@ -c $<

build/SDLMain.o : macosx/SDLMain.m
	$(CC) $(CFLAGS) -o $@ -c $<

Super\ Mario\ War.app : smw
	mkdir -p '$@/Contents/Resources'
	mkdir -p '$@/Contents/MacOS'
	mkdir -p '$@/Contents/Frameworks'
	cp -r /Library/Frameworks/SDL.framework \
		/Library/Frameworks/SDL_image.framework \
		/Library/Frameworks/SDL_net.framework \
		/Library/Frameworks/SDL_mixer.framework \
		'$@/Contents/Frameworks/'
	cp smw '$@/Contents/MacOS/Super Mario War'
	cp macosx/Info.plist '$@/Contents/'
	echo -n 'APPL????' > '$@/Contents/PkgInfo'
	cp -r macosx/smw.icns gfx maps music sfx tours worlds \
		'$@/Contents/Resources/'

appbundle : Super\ Mario\ War.app

install : install-data install-bin install-leveledit install-worldedit

install-data : all
	mkdir -p $(DESTDIR)/usr/share/games/smw/
	cp -ravx gfx $(DESTDIR)/usr/share/games/smw/
	cp -ravx maps $(DESTDIR)/usr/share/games/smw/
	cp -ravx music $(DESTDIR)/usr/share/games/smw/
	cp -ravx sfx $(DESTDIR)/usr/share/games/smw/
	cp -ravx tours $(DESTDIR)/usr/share/games/smw/
	cp -ravx worlds $(DESTDIR)/usr/share/games/smw/
	rm -rf $(DESTDIR)/usr/share/games/smw/*/.svn
	rm -rf $(DESTDIR)/usr/share/games/smw/*/*/.svn
	rm -rf $(DESTDIR)/usr/share/games/smw/*/*/*/.svn
	rm -rf $(DESTDIR)/usr/share/games/smw/*/*/*/*/.svn
	rm -rf $(DESTDIR)/usr/share/games/smw/*/*/*/*/*/.svn
	rm -rf $(DESTDIR)/usr/share/games/smw/*/*/*/*/*/*/.svn
	chmod a+w $(DESTDIR)/usr/share/games/smw/maps -R
	chmod a+w $(DESTDIR)/usr/share/games/smw/worlds -R

install-bin : all
	#assume DESTDIR is the prefix for installing
	mkdir -p $(DESTDIR)/usr/games/
	cp smw $(DESTDIR)/usr/games/

install-leveledit : all
	mkdir -p $(DESTDIR)/usr/games/
	cp leveledit $(DESTDIR)/usr/games/smw-leveledit

install-worldedit : all
	mkdir -p $(DESTDIR)/usr/games/
	cp worldedit $(DESTDIR)/usr/games/smw-worldedit

clean :
	rm -rf build/*
	rm -f smw
	rm -f leveledit
	rm -f worldedit
	rm -f smw.exe
	rm -f leveledit.exe
	rm -f worldedit.exe
	rm -f options.bin
	rm -rf 'Super Mario War.app'

dpkg :
	rm -f ~/src/*.dsc
	rm -f ~/src/*.diff.gz
	rm -f ~/src/*.deb
	rm -f ~/src/*.changes
	cvs-buildpackage -W ~/src -UHEAD -THEAD -rfakeroot
	sudo reprepro -b /webroot/apt include sid $(HOME)/src/*.changes

=== debian/changelog ===
smw (1.7-8) unstable; urgency=low

  * some rather major changes to the package, new control stuff in.
  Eventually I'll actually make the version number more sensible!

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun, 29 Jan 2006 00:06:07 -0500

smw (1.7-7) unstable; urgency=low

  * convertPathC put back in, should be ok

 -- Quinn Storm <livinglatexkali@gmail.com>  Mon, 26 Dec 2005 07:27:48 -0500

smw (1.7-6) unstable; urgency=low

  * Well, convertPath is starting to come back.  A new dpkg can be made now
  that at least somewhat runs.

 -- Quinn Storm <livinglatexkali@gmail.com>  Mon, 26 Dec 2005 07:08:55 -0500

smw (1.7-5) unstable; urgency=low

  * think I fixed buffer sizes

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 14 Dec 2005 00:31:22 -0500

smw (1.7-4) unstable; urgency=low

  * fnord.  similar bug with Announcers though for some reason the code is in
  the menu.cpp instead.  WTFD?!

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 13 Dec 2005 01:05:40 -0500

smw (1.7-3) unstable; urgency=low

  * oopsie in MapList (MusicList) 

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 13 Dec 2005 00:29:11 -0500

smw (1.7-2) unstable; urgency=low

  * ok now THIS should build right. 

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun, 11 Dec 2005 23:21:27 -0500

smw (1.7-1) unstable; urgency=low

  * Initial release

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun, 11 Dec 2005 23:21:23 -0500

=== debian/control ===
Source: smw
Section: games
Priority: optional
Maintainer: Quinn Storm <livinglatexkali@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libsdl1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev
Standards-Version: 3.6.2

Package: smw-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smw-data-min
Description: SuperMarioWar
 Super Mario War
 
Package: smw-data-min
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, smw-bin
Description: Basic data needed to make SMW run
 Super Mario War Basic Data

Package: smw-leveledit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smw-data-min
Description: SuperMarioWar Level Editor
 Super Mario War Level Editor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g -DPREFIXPATH=\\\"/usr/share/smw/\\\"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure
	echo "CFLAGS:=\$$(CFLAGS) $(CFLAGS)" >> ./configuration

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) all
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	$(MAKE) install-data DESTDIR=$(CURDIR)/debian/smw-data-min

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/smw-bin
	$(MAKE) install-leveledit DESTDIR=$(CURDIR)/debian/smw-leveledit

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
